Skip to content
Pile
Esc
navigateopen⌘Jpreview

List support customers

GET/workspaces/{organizationId}/support/customers
Path parameters
organizationIdstringrequired
Query parameters
limitinteger
min 1 · max 100 · default: 20
cursorstring
companyIdstring
qstring
Responses
200Customers list
customersobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
userIdstring | nullrequired
externalIdstring | nullrequired
externalSourcestringrequired
emailstringrequired
fullNamestring | nullrequired
phonestring | nullrequired
createdAtstringrequired
updatedAtstringrequired
companiesobject[]required
Show properties
Array of object
idstringrequired
customerIdstringrequired
companyIdstringrequired
namestringrequired
isPrimarybooleanrequired
createdAtstringrequired
identitiesobject[]required
Show properties
Array of object
idstringrequired
customerIdstringrequired
typestringrequired
Allowed:emailphoneslackmsteamsdiscordwhatsappchatapisocialcustom
subTypestring | nullrequired
valuestringrequired
isPrimarybooleanrequired
createdAtstringrequired
nextCursorstring | nullrequired
Try it
Server
Parameters
Request
curl -X GET "/workspaces/string/support/customers"
Response
{
  "customers": [
    {
      "id": "string",
      "organizationId": "string",
      "userId": "string",
      "externalId": "string",
      "externalSource": "string",
      "email": "string",
      "fullName": "string",
      "phone": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "companies": [
        {
          "id": "string",
          "customerId": "string",
          "companyId": "string",
          "name": "string",
          "isPrimary": true,
          "createdAt": "string"
        }
      ],
      "identities": [
        {
          "id": "string",
          "customerId": "string",
          "type": "email",
          "subType": "string",
          "value": "string",
          "isPrimary": true,
          "createdAt": "string"
        }
      ]
    }
  ],
  "nextCursor": "string"
}